XISUITEDokumentation

Time Entries

4 Endpunkte. Basis-URL: https://xapi.ambertech.cloud/api/v1

List time entries by task or user#

GET/time-entriesToken

Parameter

NameOrtTypBeschreibung
taskIdQuerystring–
userIdQuerystring–

Antworten

  • 200OK
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/time-entries" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

Create a time entry (auto-syncs task actual_time)#

POST/time-entriesToken

Request-Bodyapplication/jsonCreateTimeEntryDto

NameTypBeschreibung
task_idPflichtstring–
taskIdstring

Legacy body alias for task_id

organizationIdstring

Legacy body value ignored; org is derived from auth context

duration_minutesPflichtnumber

Duration in minutes

noteobject–
started_atobject

ISO datetime when the timer started

logged_atstring

ISO datetime when the time was logged (defaults to now)

Antworten

  • 201Erstellt
Beispiel (cURL)
curl -X POST "https://xapi.ambertech.cloud/api/v1/time-entries" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"task_id":"…","duration_minutes":0}'

Update a time entry (own entries only)#

PUT/time-entries/{id}Token

Parameter

NameOrtTypBeschreibung
idPflichtPfadstring–

Request-Bodyapplication/jsonUpdateTimeEntryDto

NameTypBeschreibung
duration_minutesnumber

Duration in minutes

noteobject–
logged_atstring–
organizationIdstring

Legacy body value ignored; org is derived from auth context

Antworten

  • 200OK
Beispiel (cURL)
curl -X PUT "https://xapi.ambertech.cloud/api/v1/time-entries/{id}" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"duration_minutes":0,"note":{},"logged_at":"…"}'

Delete a time entry (own entries only)#

DELETE/time-entries/{id}Token

Parameter

NameOrtTypBeschreibung
idPflichtPfadstring–

Antworten

  • 200OK
Beispiel (cURL)
curl -X DELETE "https://xapi.ambertech.cloud/api/v1/time-entries/{id}" \
  -H "Authorization: Bearer $XISUITE_TOKEN"
Stand: 25. Oktober 2026© 2026 XISUITE · AmberTech Solutions